---
title: Prepare a container image
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Containers](https://developers.cloudflare.com/api/python/resources/containers)

[Images](https://developers.cloudflare.com/api/python/resources/containers/subresources/images)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Prepare a container image

containers.images.prepare(ImagePrepareParams\*\*kwargs) -> [ImagePrepareResponse](<https://developers.cloudflare.com/api/python/resources/containers#(resource)%20containers.images%20%3E%20(model)%20image_prepare_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/containers/image-preparations

Idempotently starts or observes preparation of the runtime artifacts required to run one digest-pinned managed container image on Cloudflare’s network. Returns 202 while durable preparation continues and 200 when the image is ready or preparation has reached a terminal error.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20containers.images%20%3E%20(method)%20prepare%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

image: str

Image url.

[Link to this property](<#(resource)%20containers.images%20%3E%20(method)%20prepare%20%3E%20(params)%20default%20%3E%20(param)%20image%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ImagePrepareResponse: …

Durable preparation state for a container image.

</summary>

image: str

Image url.

<a href="#(resource)%20containers.images%20%3E%20(model)%20image_prepare_response%20%3E%20(schema)%20%3E%20(property)%20image">Link to this property</a>

<details>

<summary>

status: Literal\["pending", "ready", "error"]

Current durable preparation state for a container image.

</summary>

One of the following:

"pending"

<a href="#(resource)%20containers.images%20%3E%20(model)%20image_prepare_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"ready"

<a href="#(resource)%20containers.images%20%3E%20(model)%20image_prepare_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"error"

<a href="#(resource)%20containers.images%20%3E%20(model)%20image_prepare_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20containers.images%20%3E%20(model)%20image_prepare_response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

artifact\_digest: Optional\[str]

Digest of the prepared runtime artifact when status is ready.

<a href="#(resource)%20containers.images%20%3E%20(model)%20image_prepare_response%20%3E%20(schema)%20%3E%20(property)%20artifact_digest">Link to this property</a>

reason: Optional\[str]

Human-readable pending or terminal error detail.

<a href="#(resource)%20containers.images%20%3E%20(model)%20image_prepare_response%20%3E%20(schema)%20%3E%20(property)%20reason">Link to this property</a>

</details>

[Link to this property](<#(resource)%20containers.images%20%3E%20(model)%20image_prepare_response%20%3E%20(schema)>)

### Prepare a container image

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.containers.images.prepare(
    account_id="account-123",
    image="image",
)
print(response.image)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "image": "image",
    "status": "pending",
    "artifact_digest": "artifact_digest",
    "reason": "reason"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "image": "image",
    "status": "pending",
    "artifact_digest": "artifact_digest",
    "reason": "reason"
  },
  "success": true
}
```